package com.jasamedika.medifirst2000.entities;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

import com.jasamedika.medifirst2000.base.BaseMaster;
import com.jasamedika.medifirst2000.base.BaseTransaction;
import com.jasamedika.medifirst2000.helper.Caption;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;

@Entity
@Table(name = "CssdMappingCaraSterilisasi_t")
public class CssdMappingCaraSterilisasi extends BaseTransaction {
	
	@ManyToOne(fetch=FetchType.LAZY)
	@JoinColumn(name = "NoStrukFk")
	@NotNull(message="No Struk Harus Diisi")
	private StrukPelayanan strukPelayanan;

	@Column(name = "NoStrukFk", insertable=false,updatable=false,nullable=false)
	private String strukPelayananId;
	
	@ManyToOne(fetch=FetchType.LAZY)
	@JoinColumn(name = "ObjectProsesSterilisasiFk")
	@NotNull(message="Cssd Proses Sterilisasi")
	private CssdCaraSterilisasi cssdCaraSterilisasi;

	@Column(name = "ObjectProsesSterilisasiFk", insertable=false,updatable=false,nullable=false)
	private Integer cssdProsesSterilisasiId;

	public StrukPelayanan getStrukPelayanan() {
		return strukPelayanan;
	}

	public void setStrukPelayanan(StrukPelayanan strukPelayanan) {
		this.strukPelayanan = strukPelayanan;
	}

	public String getStrukPelayananId() {
		return strukPelayananId;
	}

	public void setStrukPelayananId(String strukPelayananId) {
		this.strukPelayananId = strukPelayananId;
	}

	public Integer getCssdProsesSterilisasiId() {
		return cssdProsesSterilisasiId;
	}

	public void setCssdProsesSterilisasiId(Integer cssdProsesSterilisasiId) {
		this.cssdProsesSterilisasiId = cssdProsesSterilisasiId;
	}

	public CssdCaraSterilisasi getCssdCaraSterilisasi() {
		return cssdCaraSterilisasi;
	}

	public void setCssdCaraSterilisasi(CssdCaraSterilisasi cssdCaraSterilisasi) {
		this.cssdCaraSterilisasi = cssdCaraSterilisasi;
	}
	
	

}